cmake_minimum_required(VERSION 3.0)

project(Rasterizer LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -g")

set(SOURCES src/main.cpp
            src/cimg_fb.cpp
            src/obj_loader.cpp
            src/mesh.cpp
            src/object.cpp
            include/obj_loader.hpp
            include/uv.hpp
            include/mesh.hpp
            include/object.hpp
   )

add_executable(rasterizer ${SOURCES})
target_include_directories(rasterizer PRIVATE ${CMAKE_SOURCE_DIR}/include /usr/local/include)
#target_link_libraries(rasterizer /usr/local/lib/libprofiler.a)

include_directories(rasterizer ${CMAKE_SOURCE_DIR}/deps)

#find_package(OpenCV REQUIRED)
#include_directories(rasterizer ${OpenCV_INCLUDE_DIRS})
#target_link_libraries(rasterizer ${OpenCV_LIBS})
